.nav-mobile {
    left: 0;
    right: 0;
    top: rem(52);
    bottom: 0;
    z-index: 850;
    position: fixed;
    background: white;
    overflow: hidden;
    opacity: 0;
    visibility: hidden;
    transition: var(--transition-time);

    &__primary {
        top: 0;
        left: 0;
        bottom: 0;
        width: 100%;
        z-index: 50;
        position: absolute;
        background: white;
        padding: rem(32) rem(12);
        overflow-x: hidden;
        overflow-y: auto;
    }

    &__account {
        margin-bottom: rem(16);
    }

    &__menu {
        display: flex;
        flex-direction: column;
        row-gap: rem(8);
    }

    &__parent {
        border: none;
        outline: none;
        white-space: nowrap;
        font-size: rem(15);
        line-height: rem(21);
        padding: rem(8) 0;
        color: var(--dark);
        stroke: var(--dark);
        text-decoration: none;
        background: transparent;
        height: rem(48);
        display: flex;
        align-items: center;
        justify-content: space-between;
        column-gap: rem(12);

        &--light {
            color: var(--gray);
            stroke: var(--gray);
        }
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        height: rem(24);
        flex-shrink: 0;
        display: inline-block;
    }

    &__name {
        display: block;
        flex-grow: 1;
    }

    &__arrow {
        font-size: 0;
        line-height: 0;
        height: rem(16);
        flex-shrink: 0;
        display: inline-block;
    }

    &__secondary {
        top: 0;
        left: 0;
        bottom: 0;
        width: 100%;
        z-index: 100;
        background: white;
        position: absolute;
        padding: rem(32) rem(12);
        overflow-x: hidden;
        overflow-y: auto;
        transform: translateX(100%);
        transition: var(--transition-time);
    }

    &__back {
        padding: 0;
        border: none;
        outline: none;
        font-weight: 500;
        font-size: rem(14);
        line-height: rem(80);
        height: rem(20);
        color: var(--gray);
        stroke: var(--gray);
        margin-bottom: rem(8);
        background: transparent;
        display: flex;
        align-items: center;
        column-gap: rem(4);

        i {
            font-size: 0;
            line-height: 0;
            height: rem(16);
            flex-shrink: 0;
            display: inline-block;
            transform: rotate(180deg);
        }
    }

    &__title {
        color: var(--black);
        font-size: rem(20);
        line-height: rem(28);
        margin-bottom: rem(16);
    }

    &__text {
        display: block;
    }

    &__toggle {
        flex-grow: 1;
        font-size: 0;
        line-height: 0;
        display: flex;
        align-items: center;
        justify-content: flex-end;

        i {
            font-size: 0;
            line-height: 0;
            height: rem(16);
            flex-shrink: 0;
            display: inline-block;
            transform: rotate(90deg);
            transition: var(--transition-time);
        }
    }

    &__section {

        &.open {

            .nav-mobile__toggle {

                i {
                    transform: rotate(-90deg);
                    transition: var(--transition-time);
                }
            }
        }
    }

    &__third {
        font-size: rem(14);
        line-height: rem(20);
        padding-top: rem(2);
        display: flex;
        flex-direction: column;
        row-gap: rem(14);
    }

    &__link {
        display: block;
        padding-left: rem(32);
        color: var(--gray-dark);
        text-decoration: none;
        transition: var(--transition-time);

        &:hover {
            color: var(--dark);
            text-decoration: none;
            transition: var(--transition-time);
        }
    }

    &.nav-mobile-second {

        .nav-mobile__secondary {
            transform: translateX(0%);
            transition: var(--transition-time);
        }
    }

    @include media-breakpoint-up(md) {
        display: none;
    }
}

.nav-account {
    display: flex;
    align-items: center;
    column-gap: rem(12);

    &__avater {
        width: rem(60);
        height: rem(60);
        display: block;
        overflow: hidden;
        border-radius: 50%;
        flex-shrink: 0;
    }

    &__name {
        color: #3D3D3D;
        font-size: rem(16);
        line-height: 140%;
    }

    &__info {
        color: #B0B0B0;
        font-size: rem(14);
        line-height: 120%;
    }

    &__edit {
        font-size: rem(13);
        line-height: 140%;
        color: var(--blue);
        margin-top: rem(4);
        display: inline-block;
        text-decoration: underline;

        &:hover {
            color: black;
            text-decoration: none;
        }
    }
}


.nav-mobile-open {
    overflow: hidden;

    .nav-mobile {
        opacity: 1;
        visibility: visible;
        transition: var(--transition-time);
    }

    .header-mobile__nav {

        i {
            opacity: 0;
            visibility: hidden;
        }

        &:after,
        &:before {
            width: 18px;
            height: 2px;
            content: '';
            display: block;
            border-radius: 2px;
            position: absolute;
            top: calc(50% - 1px);
            left: calc(50% - 9px);
            background: var(--gray);
        }

        &:after {
            transform: rotate(45deg);
        }

        &:before {
            transform: rotate(-45deg);
        }
    }

    @include media-breakpoint-up(md) {
        overflow: visible;
    }
}
